Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb
Interface Store

All Known Implementing Classes:
  StoreBase, StoreBase1, StoreBaseH2, StoreBaseHash, StoreBaseHSQL, StoreBaseIndex, StoreRDB, StoreSimpleDB2, StoreSimpleDerby, StoreSimpleH2, StoreSimpleHSQL, StoreSimpleMySQL, StoreSimpleOracle, StoreSimplePGSQL, StoreSimpleSQLServer, StoreTriplesNodesHashDB2, StoreTriplesNodesHashDerby, StoreTriplesNodesHashH2, StoreTriplesNodesHashHSQL, StoreTriplesNodesHashMySQL, StoreTriplesNodesHashOracle, StoreTriplesNodesHashPGSQL, StoreTriplesNodesHashSQLServer, StoreTriplesNodesIndexDB2, StoreTriplesNodesIndexDerby, StoreTriplesNodesIndexH2, StoreTriplesNodesIndexHSQL, StoreTriplesNodesIndexMySQL, StoreTriplesNodesIndexOracle, StoreTriplesNodesIndexPGSQL, StoreTriplesNodesIndexSQLServer

    public interface Store

A Store is one RDF dataset instance - it is the unit of query. The Store class is the SDB specific mechanisms need to implement an RDF Dataset. DatasetStore provide the dataset interface. A store consists of a number of handlers for different aspects of the process of setting up and querying a database-backed Store. This means Store for new databases can be assmelbed from those standard components that work, with database-specific code only where necessary. A common case if the formatting of the database - this is often DB-specific yet SQL generation of query is more standard.

Author:
  Andy Seaborne

Method Summary
`void` | `close()` Stores should be closed explicitly.
`StoreConfig` | `getConfiguration()` Return the configuration of this Store
`SDBConnection` | `getConnection()` Return the connection to the implementing database
`DatabaseType` | `getDatabaseType()` Return the database type of the store
`LayoutType` | `getLayoutType()` Return the layout type of the store
`StoreLoader` | `getLoader()` Return the (bulk) loader
`TableDescNodes` | `getNodeTableDesc()` Location of the nodes in the store (if meaningful)
`TableDescQuads` | `getQuadTableDesc()` Where the named graphs are in is store
`QueryCompilerFactory` | `getQueryCompilerFactory()` Return the producer of processors that turn SPARQL queries into SQL expressions
`long` | `getSize()` Get the size of this store
`long` | `getSize(com.hp.hpl.jena.graph.Node graphNode)` Get the size of the graph corresponding to graphNode
`SQLBridgeFactory` | `getSQLBridgeFactory()` Factory for SQL bridges for this store
`SQLGenerator` | `getSQLGenerator()` Get the SQL-from-relational algebra generator
`StoreFormatter` | `getTableFormatter()` Return the processor that creates the database tables
`TableDescTriples` | `getTripleTableDesc()` Where the default graph is store
`boolean` | `isClosed()` Has this store been closed?

Method Detail

### getConnection

    SDBConnection getConnection()

  Return the connection to the implementing database

### getQueryCompilerFactory

    QueryCompilerFactory getQueryCompilerFactory()

  Return the producer of processors that turn SPARQL queries into SQL expressions

### getSQLBridgeFactory

    SQLBridgeFactory getSQLBridgeFactory()

  Factory for SQL bridges for this store

### getSQLGenerator

    SQLGenerator getSQLGenerator()

  Get the SQL-from-relational algebra generator

### getTableFormatter

    StoreFormatter getTableFormatter()

  Return the processor that creates the database tables

### getLoader

    StoreLoader getLoader()

  Return the (bulk) loader

### getConfiguration

    StoreConfig getConfiguration()

  Return the configuration of this Store

### getDatabaseType

    DatabaseType getDatabaseType()

  Return the database type of the store

### getLayoutType

    LayoutType getLayoutType()

  Return the layout type of the store

### close

    void close()

  Stores should be closed explicitly. Some stores may require specific finalization actions (e.g. embedded databases), and some stores may be able to release system resources.

### isClosed

    boolean isClosed()

  Has this store been closed?

### getSize

    long getSize()

  Get the size of this store

### getSize

    long getSize(com.hp.hpl.jena.graph.Node graphNode)

  Get the size of the graph corresponding to graphNode

### getTripleTableDesc

    TableDescTriples getTripleTableDesc()

  Where the default graph is store

### getQuadTableDesc

    TableDescQuads getQuadTableDesc()

  Where the named graphs are in is store

### getNodeTableDesc

    TableDescNodes getNodeTableDesc()

  Location of the nodes in the store (if meaningful)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.